## org.eclipse.uml2.uml
Enum AggregationKind

    java.lang.Object
      java.lang.Enum<AggregationKind>
          org.eclipse.uml2.uml.AggregationKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AggregationKind>, org.eclipse.emf.common.util.Enumerator

    public enum AggregationKind

extends java.lang.Enum<AggregationKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Aggregation Kind', and utility methods for working with them. AggregationKind is an enumeration type that specifies the literals for defining the kind of aggregation of a property.

See Also:
  `UMLPackage.getAggregationKind()`

Enum Constant Summary
`COMPOSITE_LITERAL` The 'Composite' literal object
`NONE_LITERAL` The 'None' literal object
`SHARED_LITERAL` The 'Shared' literal object

Field Summary
`static int` `COMPOSITE` The 'Composite' literal value
`static int` `NONE` The 'None' literal value
`static int` `SHARED` The 'Shared' literal value
`static java.util.List<AggregationKind>` `VALUES` A public read-only list of all the 'Aggregation Kind' enumerators

Method Summary
`static AggregationKind` `get(int value)` Returns the 'Aggregation Kind' literal with the specified integer value
`static AggregationKind` `get(java.lang.String literal)` Returns the 'Aggregation Kind' literal with the specified literal value
`static AggregationKind` `getByName(java.lang.String name)` Returns the 'Aggregation Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static AggregationKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AggregationKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE_LITERAL

    public static final AggregationKind NONE_LITERAL

  The 'None' literal object.

  See Also:
    `NONE`

### SHARED_LITERAL

    public static final AggregationKind SHARED_LITERAL

  The 'Shared' literal object.

  See Also:
    `SHARED`

### COMPOSITE_LITERAL

    public static final AggregationKind COMPOSITE_LITERAL

  The 'Composite' literal object.

  See Also:
    `COMPOSITE`

Field Detail

### NONE

    public static final int NONE

  The 'None' literal value. Indicates that the property has no aggregation.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### SHARED

    public static final int SHARED

  The 'Shared' literal value. Indicates that the property has a shared aggregation.

  See Also:
    `SHARED_LITERAL`, Constant Field Values

### COMPOSITE

    public static final int COMPOSITE

  The 'Composite' literal value. Indicates that the property is aggregated compositely, i.e., the composite object has responsibility for the existence and storage of the composed objects (parts).

  See Also:
    `COMPOSITE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<AggregationKind> VALUES

  A public read-only list of all the 'Aggregation Kind' enumerators.

Method Detail

### values

    public static final AggregationKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AggregationKind c : AggregationKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AggregationKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static AggregationKind get(java.lang.String literal)

  Returns the 'Aggregation Kind' literal with the specified literal value.

### getByName

    public static AggregationKind getByName(java.lang.String name)

  Returns the 'Aggregation Kind' literal with the specified name.

### get

    public static AggregationKind get(int value)

  Returns the 'Aggregation Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<AggregationKind>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.